# getAttribute

@Nullable
abstract fun <T> getAttribute(key: Attribute<T>): @Nullable T

Returns the value of an attribute found in this container with the type specified by the given `key`, or `null` if this container doesn't have it.

Supplying a `null` argument is deprecated and will return `null`.

#### Return

the attribute value, or `null` if not found

#### Parameters

<T>

the type of the attribute

key

the attribute key